
function inputshislo(){
    let code = document.getElementById("code_pruf");
 let mass = code.split('').map(Number);
 console.log(mass);
}
function processInput() {
    // Получаем значение из элемента input
    let inputValue = document.getElementById("myInput").value;
    let mass = inputValue.split('').map(Number);
    console.log(mass);
    let n=0;
    n =razmer(mass);
    // for(let i = 0; i < mass.length; i++){
    //     n++;  
    // }
    let versh = new Array(n+2);
    let kolvo_v =n+2;
    let v = 1;
    for(let i = 0; i < versh.length; i++){
        versh[i] =v;
        v++;
    }
    let a=0;
    let ver=0;
    let mass_reber = new Array(n-1);
    for(let i = 0; i < n-1; i++){
        mass_reber[i] = new Array(2);
    }
    let str ="";
while(a !==n){
    let min = 999;
    let ii =0;
for(let i = 0; i< kolvo_v; i++){
    let flag =0;
    if(versh[i]< min && versh[i]!==0){
        min = versh[i];
        for(let k=0; k< mass.length; k++){
            if(mass[k] !== 0){
                if(mass[k] == min){
                    flag = 1;
                    min = 999;
                }
            }
        }
        ii =i;
    }
}
str = str+versh[ii]+":"+mass[a]+" ";

versh[ii]=0;
mass[a]=0;
a++;
let m =0;
if(a ==n){
    for(let i = 0; i< kolvo_v; i++){

        if(versh[i] !==0){
            
          
            if(m==0){
                str = str+versh[i]+":";

            } 
            if(m==1){
                str = str+versh[i]+"";

            }    
              m++;
       
        }
    }
}
}


console.log(str);
document.getElementById("result").textContent = str;
}
function razmer(mass){
    let n=0;
    for(let i = 0; i < mass.length; i++){
        n++;  
    }
    return n;
}
module.exports = razmer;